- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPASCylinder Class Reference
[COLLADA Document Object Model.]

A COLLADA physics cylinder. More...

`#include <FCDPhysicsAnalyticalGeometry.h>`

Inheritance diagram for FCDPASCylinder:

List of all members.

## Public Member Functions
| FCDPASCylinder (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDPASCylinder ()
| Destructor.
virtual GeomType | GetGeomType () const
| Retrieves the analytical geometry type for this class.
virtual float | CalculateVolume () const
| Calculates the volume of this analytical geometry.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the physics cylinder into a clone.
## Public Attributes
float | height
| The height of the cylinder.
FMVector2 | radius
| The radius in the X direction and Z direction of the cylinder.

## Detailed Description

A COLLADA physics cylinder.

## Constructor & Destructor Documentation

FCDPASCylinder::FCDPASCylinder | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Create new analytical geometries by using FCDPhysicsShape::CreateAnalyticalGeometry function. Parameters:
  | document | The COLLADA document that contains this physics cylinder.

## Member Function Documentation

virtual float FCDPASCylinder::CalculateVolume | ( |  | ) | const`[virtual]`

| Calculates the volume of this analytical geometry. Returns: The volume. Implements FCDPhysicsAnalyticalGeometry. Reimplemented in FCDPASTaperedCylinder.

virtual FCDEntity* FCDPASCylinder::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the physics cylinder into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a analytical geometry will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDPhysicsAnalyticalGeometry. Reimplemented in FCDPASTaperedCylinder.

virtual GeomType FCDPASCylinder::GetGeomType | ( |  | ) | const`[inline, virtual]`

| Retrieves the analytical geometry type for this class. Returns: The analytical geometry type: CYLINDER. Implements FCDPhysicsAnalyticalGeometry. Reimplemented in FCDPASTaperedCylinder.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsAnalyticalGeometry.h